#
# Copyright (c) 2008-2015 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


# import standard library

# import interfaces
from pyams_content.shared.view.portlet.interfaces import IViewItemsPortletSettings
from pyams_pagelet.interfaces import IPagelet
from pyams_portal.interfaces import IPortletPreviewer
from pyams_skin.layer import IPyAMSLayer
from pyams_utils.interfaces import VIEW_SYSTEM_PERMISSION

# import packages
from pyams_form.form import AJAXEditForm
from pyams_pagelet.pagelet import pagelet_config
from pyams_portal.portlet import PortletPreviewer
from pyams_portal.zmi.portlet import PortletSettingsEditor
from pyams_template.template import template_config
from pyams_utils.adapter import adapter_config
from zope.interface import Interface


@pagelet_config(name='properties.html', context=IViewItemsPortletSettings, layer=IPyAMSLayer,
                permission=VIEW_SYSTEM_PERMISSION)
class ViewItemsPortletSettingsEditor(PortletSettingsEditor):
    """View items portlet settings editor"""

    settings = IViewItemsPortletSettings


@adapter_config(name='properties.json', context=(IViewItemsPortletSettings, IPyAMSLayer), provides=IPagelet)
class ViewItemsPortletSettingsAJAXEditor(AJAXEditForm, ViewItemsPortletSettingsEditor):
    """View items portlet settings editor, JSON renderer"""


@adapter_config(context=(Interface, IPyAMSLayer, Interface, IViewItemsPortletSettings), provides=IPortletPreviewer)
@template_config(template='templates/view-items-list-preview.pt', layer=IPyAMSLayer)
class ViewItemsPortletPreviewer(PortletPreviewer):
    """View items portlet previewer"""
